Subject: [CCAMP] 802.3 Ethernet YANG (802.3cp) and IETF overlap

From: Robert Wilton <[email-masked]>
Date: Wed, 22 Mar 2017 15:21:18 +0000

Hi,

I'm participating in the 802.3 task force (802.3cf) to produce standard 
YANG models for Ethernet interfaces and protocols covered by the IEEE 
802.3 Ethernet Working Group.

As part of my involvement with that group, I want to highlight a couple 
of issues that arose in that forum that may be of interest to various 
WGs in IETF.

This email, and accompanying slides, represents my personal views, and 
do not represent any formal IEEE position.  However, both this email and 
the accompanying slides have been reviewed in an 802.3cf task force 
meeting, and there were no objections to the content, or my sending of 
this email to IETF.

I also raised these issues (with an earlier set of slides) as part of 
the IETF/IEEE liaison meeting on 31st January, and the consensus was 
generally supportive of this approach, with the agreed next steps to 
contact the NETMOD and CCAMP chairs, which I have done, and the WGs 
(hence this email):

As part of that YANG modelling work, there is an aim to define a clean 
boundary of what manageability data should be specified within 802.3 and 
what belongs outside the 802.3 specifications.

The definition that the task force is converging on is that everything 
related to Ethernet, covered by 802.3, that can be expressed in terms of 
the 802.3 clause 30 manageability definitions, should be modeled in 
802.3.  I.e. broadly everything that is covered by 802.3.1 today.  But 
any manageability information that cannot be related to clause 30 
definitions should be specified outside of 802.3.  Note, where 
appropriate, additional clause 30 definitions may be added to fix any 
mistakes or glaring gaps.

To this end, there are a couple of areas between IETF and 802.3 that 
don't necessarily look like they are entirely in the right place, in 
particular:

1) The RMON MIB (RFC 2819) defines (along with other non-Ethernet 
related content) some Ethernet specific statistics that would be better 
co-located with the Ethernet interface YANG model being defined in 
802.3cp.  Hence, the proposal is to subsume the appropriate Ethernet 
statistics from the RMON MIB into a single combined reference set 
defined in 802.3cp.

2) The RMON MIB also defines some Ethernet specific statistics that 
can't be defined as part of 802.3cf because they don't relate to 802.3 
clause 30 registers, but are still widely supported by vendors, and 
should be modeled in YANG.  The proposal is that definitions related to 
these counters could be added as part of the Ethernet-like module 
draft-ietf-netmod-intf-ext-yang-03 
<https://datatracker.ietf.org/doc/draft-ietf-netmod-intf-ext-yang/>, or 
perhaps a related Ethernet module in the same draft.

3) The Power-Ethernet MIB (defined in RFC 3621, but also referenced from 
RFC 7460), was originally specified in IETF, but ownership later 
transferred to 802.3 (via RFC 7448).  Whilst working on the Power over 
Ethernet YANG model it has become clear that not all of the attributes 
defined in the MIB map to the underlying 802.3 clause 30 definitions.  
Further, it looks like parts of this YANG model would be better defined 
as extensions to the Entity YANG model being defined in NETMOD.  The 
proposal is that the parts of the Power over Ethernet YANG model that 
can be directly related to clause 30 definitions (e.g. 
/pethPsePortTable/) should be defined in 802.3cf, but that the remaining 
parts (e.g., ///pethMainPseObjects /) can hopefully be standardized in IETF.

Do you have any comments, or concerns, on the 3 proposals above?

Regards,
Rob Wilton

---

From: Mahesh Jethanandani <[email-masked]>
Date: Wed, 22 Mar 2017 18:26:00 -0700

> On Mar 22, 2017, at 8:21 AM, Robert Wilton <[email-masked]> wrote:
> 
> Hi,
> 
> I'm participating in the 802.3 task force (802.3cf) to produce standard YANG models for Ethernet interfaces and protocols covered by the IEEE 802.3 Ethernet Working Group.
> 
> As part of my involvement with that group, I want to highlight a couple of issues that arose in that forum that may be of interest to various WGs in IETF.
> 
> This email, and accompanying slides, represents my personal views, and do not represent any formal IEEE position.  However, both this email and the accompanying slides have been reviewed in an 802.3cf task force meeting, and there were no objections to the content, or my sending of this email to IETF.
> 
> I also raised these issues (with an earlier set of slides) as part of the IETF/IEEE liaison meeting on 31st January, and the consensus was generally supportive of this approach, with the agreed next steps to contact the NETMOD and CCAMP chairs, which I have done, and the WGs (hence this email):
> 
> As part of that YANG modelling work, there is an aim to define a clean boundary of what manageability data should be specified within 802.3 and what belongs outside the 802.3 specifications.
> 
> The definition that the task force is converging on is that everything related to Ethernet, covered by 802.3, that can be expressed in terms of the 802.3 clause 30 manageability definitions, should be modeled in 802.3.  I.e. broadly everything that is covered by 802.3.1 today.  But any manageability information that cannot be related to clause 30 definitions should be specified outside of 802.3.  Note, where appropriate, additional clause 30 definitions may be added to fix any mistakes or glaring gaps.
> 
> To this end, there are a couple of areas between IETF and 802.3 that don't necessarily look like they are entirely in the right place, in particular:
> 
> 1) The RMON MIB (RFC 2819) defines (along with other non-Ethernet related content) some Ethernet specific statistics that would be better co-located with the Ethernet interface YANG model being defined in 802.3cp.  Hence, the proposal is to subsume the appropriate Ethernet statistics from the RMON MIB into a single combined reference set defined in 802.3cp.
> 2) The RMON MIB also defines some Ethernet specific statistics that can't be defined as part of 802.3cf because they don't relate to 802.3 clause 30 registers, but are still widely supported by vendors, and should be modeled in YANG.  The proposal is that definitions related to these counters could be added as part of the Ethernet-like module draft-ietf-netmod-intf-ext-yang-03 <https://datatracker.ietf.org/doc/draft-ietf-netmod-intf-ext-yang/>, or perhaps a related Ethernet module in the same draft.
> 
> 3) The Power-Ethernet MIB (defined in RFC 3621, but also referenced from RFC 7460), was originally specified in IETF, but ownership later transferred to 802.3 (via RFC 7448).  Whilst working on the Power over Ethernet YANG model it has become clear that not all of the attributes defined in the MIB map to the underlying 802.3 clause 30 definitions.  Further, it looks like parts of this YANG model would be better defined as extensions to the Entity YANG model being defined in NETMOD.  The proposal is       that the parts of the Power over Ethernet YANG model that can be directly related to clause 30 definitions (e.g. pethPsePortTable) should be defined in 802.3cf, but that the remaining parts (e.g., pethMainPseObjects ) can hopefully be standardized in IETF.
> 
> 
Having sat on some of the meeting with Robert in IEEE, I would agree that the three proposals is the cleanest approach to splitting the work. It would have ideal that there was one model each for Ethernet interface and all the statistics, and one for POE, but ...
> Regards,
> Rob Wilton
> <wilton_8023cf_ethernet_interface_statistics_3.pptx>_______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

---

From: Fatai Zhang <[email-masked]>
Date: Thu, 23 Mar 2017 03:51:49 +0000

Hi Rob,

Thanks for sharing the information.

I think you are talking about two types of Yang models, one is Ethernet specific statistics, and the other one is Power over Ethernet.

If my understanding is correct, I think your proposals are that some part of each of them should be defined in 802.3cp or 802.3cf, and the left part of each of them should be defined in IETF.
I am a little concerned that how people can distinguish and judge which part (e.g., of Ethernet specific statistics or Power over Ethernet) should be defined in IEEE or IEFT?
For example, regarding Ethernet specific statistics, how people can exactly know which information could be better co-located in 802.3cp and which don’t  relate to 802.3?
I think different people might have different understanding and then it will bring confusion to the industry.

How about allow IETF define Yang models for everything of Ethernet specific statistics since RMON MIB was already defined by IETF and IEEE define Yang models for everything of Power over Ethernet (since ownership already transferred to 802.3)?  I personally think this simple approach could make our life easier, ☺

Just some loud thinking…

Thanks

Fatai

发件人: CCAMP [mailto:[email-masked]] 代表 Robert Wilton
发送时间: 2017年3月22日 23:21
收件人: [email-masked]; [email-masked]
主题: [CCAMP] 802.3 Ethernet YANG (802.3cp) and IETF overlap

Hi,

2) The RMON MIB also defines some Ethernet specific statistics that can't be defined as part of 802.3cf because they don't relate to 802.3 clause 30 registers, but are still widely supported by vendors, and should be modeled in YANG.  The proposal is that definitions related to these counters could be added as part of the Ethernet-like module draft-ietf-netmod-intf-ext-yang-03<https://datatracker.ietf.org/doc/draft-ietf-netmod-intf-ext-yang/>, or perhaps a related Ethernet module in the same draft.

Regards,
Rob Wilton

---

From: Dan Romascanu <[email-masked]>
Date: Thu, 23 Mar 2017 09:56:42 +0200

Hi,

I largely agree with the proposals of the team.

I have only one comment / clarification related to the RMON objects which
are proposed to be transferred under IEEE 802.3cp. As far as I remember
there are some differences between the definitions in the RMON MIB for some
of the objects and the Clause 30 definitions. What is the approach that you
propose to take? Include in IEEE 802.3cp only those objects that strictly
conform to Clause 30 definitions, or modify / add definitions in Clause 30
in order to accommodate all the RMON statistics? If the later approach is
to be taken - is IEEE 802.3cp chartered to make changes or add new
definitions in Clause 30 of IEEE 802.3?

Regards,

Dan

On Wed, Mar 22, 2017 at 5:21 PM, Robert Wilton <[email-masked]> wrote:

> YANG models for Ethernet interfaces and protocols covered by the IEEE 802.3
> Ethernet Working Group.
>
> As part of my involvement with that group, I want to highlight a couple of
> issues that arose in that forum that may be of interest to various WGs in
> IETF.
>
> This email, and accompanying slides, represents my personal views, and do
> not represent any formal IEEE position.  However, both this email and the
> accompanying slides have been reviewed in an 802.3cf task force meeting,
> and there were no objections to the content, or my sending of this email to
> IETF.
>
> I also raised these issues (with an earlier set of slides) as part of the
> IETF/IEEE liaison meeting on 31st January, and the consensus was generally
> supportive of this approach, with the agreed next steps to contact the
> NETMOD and CCAMP chairs, which I have done, and the WGs (hence this email):
>
>
> the 802.3 clause 30 manageability definitions, should be modeled in 802.3.
> I.e. broadly everything that is covered by 802.3.1 today.  But any
> manageability information that cannot be related to clause 30 definitions
> should be specified outside of 802.3.  Note, where appropriate, additional
> clause 30 definitions may be added to fix any mistakes or glaring gaps.
>
>
> To this end, there are a couple of areas between IETF and 802.3 that don't
> necessarily look like they are entirely in the right place, in particular:
>
> 1) The RMON MIB (RFC 2819) defines (along with other non-Ethernet related
> content) some Ethernet specific statistics that would be better co-located
> with the Ethernet interface YANG model being defined in 802.3cp.  Hence,
> the proposal is to subsume the appropriate Ethernet statistics from the
> RMON MIB into a single combined reference set defined in 802.3cp.
>
> 2) The RMON MIB also defines some Ethernet specific statistics that can't
> be defined as part of 802.3cf because they don't relate to 802.3 clause 30
> registers, but are still widely supported by vendors, and should be modeled
> in YANG.  The proposal is that definitions related to these counters could
> be added as part of the Ethernet-like module draft-ietf-netmod-intf-ext-
> yang-03
> Further, it looks like parts of this YANG model would be better defined as
> extensions to the Entity YANG model being defined in NETMOD.  The proposal
> is that the parts of the Power over Ethernet YANG model that can be
> directly related to clause 30 definitions (e.g. *pethPsePortTable*)
> should be defined in 802.3cf, but that the remaining parts (e.g., *pethMainPseObjects
> *) can hopefully be standardized in IETF.
>
>
> _______________________________________________
> netmod mailing list
> [email-masked]

---

From: Robert Wilton <[email-masked]>
Date: Thu, 23 Mar 2017 14:59:17 +0000

Hi Fatai,

Thanks for the comments/review.

Sorry, one correction in my email.  The 802.3 YANG project is only 
802.3cf.  Sometimes I have managed to mangle the name together with the 
802.1 YANG project (802.1cp) ...

On 23/03/2017 03:51, Fatai Zhang wrote:
> I think you are talking about two types of Yang models, one is 
> Ethernet specific statistics, and the other one is Power over Ethernet.
>
We are trying to convert various MIBs that contain Ethernet related 
functionality to YANG.  Generally the MIBS were defined in IETF. Some of 
them have been transferred to IEEE for ownership.

In the process of converting the content from MIBs to YANG we are taking 
the opportunity to refine the contents to better meet current 
requirements.  E.g. CSMA/CD collision counters are generally not of 
relevance on any current Ethernet hardware.

> If my understanding is correct, I think your proposals are that some 
> part of each of them should be defined in 802.3cp or 802.3cf, and the 
> left part of each of them should be defined in IETF.
>
Basically, yes, that is correct.

> I am a little concerned that how people can distinguish and judge 
> which part (e.g., of Ethernet specific statistics or Power over 
> Ethernet) should be defined in IEEE or IEFT?
>
A lot of the 802.3 Ethernet specification concerns functionality that is 
baked into the hardware.  The 820.3 specification defines (via Clause 
30) an internal management API for configuration and retrieval of 
operational parameters from the hardware.

So, the 802.3cf plan is that all of the Ethernet related parts of YANG, 
or MIB, modules that just represent the values defined in clause 30 are 
expected to published as part of the 802.3 Ethernet YANG modules.

However, 802.3cf do not want their standard YANG models to map to 
parameters that are not covered by clause 30 (excepting a few more 
obvious omissions) because that might mean that the YANG module cannot 
be fully supported by current devices (e.g. if they don't have the 
actual hardware present to provide the necessary counters).

So, the proposal is that some parts of the Ethernet statistics get 
standardized in IETF instead (probably via NETMOD).

Concretely, my desire is for the following bits would be standardized in 
IETF:
   1) Histogram packet statistics (from RMON) (because vendors often 
support Ethernet frames up to 9k bytes, but the formal 802.3 
specification only goes up to 2k).  To be added to 
draft-ietf-netmod-intf-ext-yang-04
   2) Some counters that more generally apply to Ethernet-like 
interfaces (e.g. LAG, IRB, or Pseudo-wire head-end interfaces). This 
would include the number of packets dropped because they don't match the 
destination MAC address filter.  To be added to 
draft-ietf-netmod-intf-ext-yang-04.
   3) The parts of power management that relate to power supplies rather 
than Ethernet interfaces.  Yan has submitted a draft to NETMOD for this, 
draft-zhuang-netmod-yang-poe-management-01.  I've not reviewed this 
draft yet, but it may be that it should augment the entity YANG model 
(draft-ietf-netmod-entity-03).

> For example, regarding Ethernet specific statistics, how people can 
> exactly know which information could be better co-located in 802.3cp 
> and which don’t  relate to 802.3?
>
Possibly this will be true, but once these base models are standardized, 
I'm not sure that they are likely to evolve particularly quickly.  I 
would think that if the work is being done in 802.3 then any associated 
YANG would be standardized there, similarly for IETF.

> How about allow IETF define Yang models for everything of Ethernet 
> specific statistics since RMON MIB was already defined by IETF and 
> IEEE define Yang models for everything of Power over Ethernet (since 
> ownership already transferred to 802.3)?  I personally think this 
> simple approach could make our life easier, J
>
I think that this approach may hit some of the issues above 
(particularly the relationship to hardware and clause 30 registers).

Thanks,
Rob

> Just some loud thinking…
>
> Thanks
>
> Fatai
>
> *发件人:*CCAMP [mailto:[email-masked]] *代表 *Robert Wilton
> *发送时间:*2017年3月22日23:21
> *收件人:[email-masked]; [email-masked]
> *主题:*[CCAMP] 802.3 Ethernet YANG (802.3cp) and IETF overlap
>
> Hi,
>
> I'm participating in the 802.3 task force (802.3cf) to produce 
> standard YANG models for Ethernet interfaces and protocols covered by 
> the IEEE 802.3 Ethernet Working Group.
>
> As part of my involvement with that group, I want to highlight a 
> couple of issues that arose in that forum that may be of interest to 
> various WGs in IETF.
>
> do not represent any formal IEEE position.  However, both this email 
> and the accompanying slides have been reviewed in an 802.3cf task 
> force meeting, and there were no objections to the content, or my 
> sending of this email to IETF.
>
> boundary of what manageability data should be specified within 802.3 
> and what belongs outside the 802.3 specifications.
>
> related to Ethernet, covered by 802.3, that can be expressed in terms 
> of the 802.3 clause 30 manageability definitions, should be modeled in 
> related content) some Ethernet specific statistics that would be 
> better co-located with the Ethernet interface YANG model being defined 
> in 802.3cp. Hence, the proposal is to subsume the appropriate Ethernet 
> should be modeled in YANG.  The proposal is that definitions related 
> to these counters could be added as part of the Ethernet-like module 
> <https://datatracker.ietf.org/doc/draft-ietf-netmod-intf-ext-yang/>, 
> or perhaps a related Ethernet module in the same draft.
>
> 3) The Power-Ethernet MIB (defined in RFC 3621, but also referenced 
> from RFC 7460), was originally specified in IETF, but ownership later 
> Further, it looks like parts of this YANG model would be better 
> defined as extensions to the Entity YANG model being defined in 
> NETMOD.  The proposal is that the parts of the Power over Ethernet 
> YANG model that can be directly related to clause 30 definitions (e.g. 
> /pethPsePortTable/) should be defined in 802.3cf, but that the 
> remaining parts (e.g., /pethMainPseObjects /) can hopefully be 
> standardized in IETF.
>

---

From: Robert Wilton <[email-masked]>
Date: Thu, 23 Mar 2017 15:36:07 +0000

Hi Dan,

On 23/03/2017 07:56, Dan Romascanu wrote:
> I have only one comment / clarification related to the RMON objects 
> which are proposed to be transferred under IEEE 802.3cp. As far as I 
> remember there are some differences between the definitions in the 
> RMON MIB for some of the objects and the Clause 30 definitions.
Unfortunately, yes there are differences.

> What is the approach that you propose to take?
I'm trying to rationalize them all together (at least for the parts of 
the MIB that we want to carry forward into YANG).

Please see attached for a spreadsheet that shows the relationship 
between the proposed 802.3 YANG counters, the existing MIBs (IFMIB, 
RMON, and ETHERNET-LIKE), and 802.3 clause 30.  This doesn't yet cover 
the counters that I plan on adding to draft-ietf-netmod-intf-ext-yang-04 
(Drop due to invalid destination MAC, of RMON style histogram counters).

There will also be some text added to the 802.3cf draft that should 
explain the relationship, possibly some of it may be lifted directly 
from 802.3.1.

> Include in IEEE 802.3cp only those objects that strictly conform to 
> Clause 30 definitions, or modify / add definitions in Clause 30 in 
> order to accommodate all the RMON statistics? If the later approach is 

A bit of both - mostly the former approach, but with a few missing 
counters hopefully added to clause 30.

Specifically, I hoping that the following counters can be added to 
clause 30:
  Row 17: In PFC frames (used in  ETHERLIKE MIB dot3HCInPFCFrames)
  Row 18: Out PFC frames (used in ETHERLIKE MIB dot3HCOutPFCFrames)
  Row 19: Total Octets received (good & bad) (used in RMON MIB 
etherStatsOctets)
  Row 25: Frames dropped as being too short. (combined value of two RMON 
MIB counters (etherStatsUndersizePkts + etherStatsFragments))

I think that in principal there is some support for adding these to 
clause 30, and the appropriate folks in 802.3 will work out the 
easiest/best mechanism to achieve this.

Thanks,
Rob

>
> Regards,
>
> Dan
>
>
> On Wed, Mar 22, 2017 at 5:21 PM, Robert Wilton <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Hi,
>
>     standard YANG models for Ethernet interfaces and protocols covered
>     by the IEEE 802.3 Ethernet Working Group.
>
>     couple of issues that arose in that forum that may be of interest
>     to various WGs in IETF.
>
>     This email, and accompanying slides, represents my personal views,
>     and do not represent any formal IEEE position.  However, both this
>     email and the accompanying slides have been reviewed in an 802.3cf
>     task force meeting, and there were no objections to the content,
>     or my sending of this email to IETF.
>
>     I also raised these issues (with an earlier set of slides) as part
>     of the IETF/IEEE liaison meeting on 31st January, and the
>     consensus was generally supportive of this approach, with the
>     agreed next steps to contact the NETMOD and CCAMP chairs, which I
>     have done, and the WGs (hence this email):
>
>
>     As part of that YANG modelling work, there is an aim to define a
>     clean boundary of what manageability data should be specified
>     within 802.3 and what belongs outside the 802.3 specifications.
>
>     The definition that the task force is converging on is that
>     everything related to Ethernet, covered by 802.3, that can be
>     expressed in terms of the 802.3 clause 30 manageability
>     definitions, should be modeled in 802.3. I.e. broadly everything
>     that is covered by 802.3.1 today.  But any manageability
>     information that cannot be related to clause 30 definitions should
>     be specified outside of 802.3.  Note, where appropriate,
>     additional clause 30 definitions may be added to fix any mistakes
>     or glaring gaps.
>
>
>     To this end, there are a couple of areas between IETF and 802.3
>     that don't necessarily look like they are entirely in the right
>     place, in particular:
>
>     better co-located with the Ethernet interface YANG model being
>     defined in 802.3cp. Hence, the proposal is to subsume the
>     appropriate Ethernet statistics from the RMON MIB into a single
>     combined reference set defined in 802.3cp.
>
>     2) The RMON MIB also defines some Ethernet specific statistics
>     that can't be defined as part of 802.3cf because they don't relate
>     to 802.3 clause 30 registers, but are still widely supported by
>     vendors, and should be modeled in YANG.  The proposal is that
>     definitions related to these counters could be added as part of
>     the Ethernet-like module draft-ietf-netmod-intf-ext-yang-03
>     3) The Power-Ethernet MIB (defined in RFC 3621, but also
>     referenced from RFC 7460), was originally specified in IETF, but
>     ownership later transferred to 802.3 (via RFC 7448).  Whilst
>     working on the Power over Ethernet YANG model it has become clear
>     that not all of the attributes defined in the MIB map to the
>     underlying 802.3 clause 30 definitions.  Further, it looks like
>     parts of this YANG model would be better defined as extensions to
>     the Entity YANG model being defined in NETMOD.  The proposal is
>     that the parts of the Power over Ethernet YANG model that can be
>     directly related to clause 30 definitions (e.g.
>     remaining parts (e.g., ///pethMainPseObjects /) can hopefully be
>     standardized in IETF.
>
>
>     [email-masked] <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/netmod>
>
>

---

From: Dan Romascanu <[email-masked]>
Date: Thu, 23 Mar 2017 18:40:39 +0200

Hi Robert,

Thank you for the answer.

If the current IEEE 802.3 project (cp) is not chartered to make changes in
Clause 30 - these cannot be done, and you need a new project for this
purpose. Take this into consideration, as this may become a dependency and
a gating issue for the project timelines. I suggest that you discuss this
with the IEEE 802.3 chair David Law. I am also copying Russ who is now in
charge with the IETF - IEEE relationship to make sure that he is aware
about the issue.

Regards,

Dan

On Thu, Mar 23, 2017 at 5:36 PM, Robert Wilton <[email-masked]> wrote:

> of the objects and the Clause 30 definitions.
>
> I'm trying to rationalize them all together (at least for the parts of the
> MIB that we want to carry forward into YANG).
>
> Please see attached for a spreadsheet that shows the relationship between
> the proposed 802.3 YANG counters, the existing MIBs (IFMIB, RMON, and
> ETHERNET-LIKE), and 802.3 clause 30.  This doesn't yet cover the counters
> that I plan on adding to draft-ietf-netmod-intf-ext-yang-04 (Drop due to
> invalid destination MAC, of RMON style histogram counters).
>
> explain the relationship, possibly some of it may be lifted directly from
> 802.3.1.
>
>
>
> Include in IEEE 802.3cp only those objects that strictly conform to Clause
> 30 definitions, or modify / add definitions in Clause 30 in order to
> accommodate all the RMON statistics? If the later approach is to be taken -
> is IEEE 802.3cp chartered to make changes or add new definitions in Clause
> 30 of IEEE 802.3?
>
>
> Specifically, I hoping that the following counters can be added to clause
> 30:
> I think that in principal there is some support for adding these to clause
> 30, and the appropriate folks in 802.3 will work out the easiest/best
> mechanism to achieve this.
>
> Thanks,
> Rob
>
>
>
> Regards,
>
> Dan
>
>
>> of issues that arose in that forum that may be of interest to various WGs
>> in IETF.
>>
>> be added as part of the Ethernet-like module

---

From: Robert Wilton <[email-masked]>
Date: Thu, 23 Mar 2017 17:45:24 +0000

Hi Dan,

Thanks for the advice.  Thankfully, David Law has been attending the 
802.3cf task meetings, so he very much aware of the proposal to add new 
definitions to clause 30, and has offered to help find the best way 
through the 802.3 process to achieve the right technical goals.

Thanks,
Rob

On 23/03/2017 16:40, Dan Romascanu wrote:
> If the current IEEE 802.3 project (cp) is not chartered to make 
> changes in Clause 30 - these cannot be done, and you need a new 
> project for this purpose. Take this into consideration, as this may 
> become a dependency and a gating issue for the project timelines. I 
> suggest that you discuss this with the IEEE 802.3 chair David Law. I 
> am also copying Russ who is now in charge with the IETF - IEEE 
> relationship to make sure that he is aware about the issue.
>
> Regards,
>
> Dan
>
>
> On Thu, Mar 23, 2017 at 5:36 PM, Robert Wilton <[email-masked] 
>>     I have only one comment / clarification related to the RMON
>>     objects which are proposed to be transferred under IEEE 802.3cp.
>>     As far as I remember there are some differences between the
>>     definitions in the RMON MIB for some of the objects and the
>>     Clause 30 definitions.
>     I'm trying to rationalize them all together (at least for the
>     parts of the MIB that we want to carry forward into YANG).
>
>     between the proposed 802.3 YANG counters, the existing MIBs
>     (IFMIB, RMON, and ETHERNET-LIKE), and 802.3 clause 30.  This
>     doesn't yet cover the counters that I plan on adding to
>     draft-ietf-netmod-intf-ext-yang-04 (Drop due to invalid
>     destination MAC, of RMON style histogram counters).
>
>     There will also be some text added to the 802.3cf draft that
>     should explain the relationship, possibly some of it may be lifted
>     directly from 802.3.1.
>
>
>
>>     Include in IEEE 802.3cp only those objects that strictly conform
>>     to Clause 30 definitions, or modify / add definitions in Clause
>>     30 in order to accommodate all the RMON statistics? If the later
>>     approach is to be taken - is IEEE 802.3cp chartered to make
>>     changes or add new definitions in Clause 30 of IEEE 802.3?
>
>      Row 25: Frames dropped as being too short. (combined value of two
>     RMON MIB counters (etherStatsUndersizePkts + etherStatsFragments))
>
>     I think that in principal there is some support for adding these
>     to clause 30, and the appropriate folks in 802.3 will work out the
>>         I'm participating in the 802.3 task force (802.3cf) to
>>         produce standard YANG models for Ethernet interfaces and
>>         protocols covered by the IEEE 802.3 Ethernet Working Group.
>>
>>         As part of my involvement with that group, I want to
>>         highlight a couple of issues that arose in that forum that
>>         may be of interest to various WGs in IETF.
>>
>>         This email, and accompanying slides, represents my personal
>>         views, and do not represent any formal IEEE position.
>>         However, both this email and the accompanying slides have
>>         been reviewed in an 802.3cf task force meeting, and there
>>         were no objections to the content, or my sending of this
>>         email to IETF.
>>
>>         I also raised these issues (with an earlier set of slides) as
>>         part of the IETF/IEEE liaison meeting on 31st January, and
>>         the consensus was generally supportive of this approach, with
>>         the agreed next steps to contact the NETMOD and CCAMP chairs,
>>         which I have done, and the WGs (hence this email):
>>
>>
>>         As part of that YANG modelling work, there is an aim to
>>         define a clean boundary of what manageability data should be
>>         specified within 802.3 and what belongs outside the 802.3
>>         specifications.
>>
>>         definitions, should be modeled in 802.3.  I.e. broadly
>>         everything that is covered by 802.3.1 today.  But any
>>         manageability information that cannot be related to clause 30
>>         definitions should be specified outside of 802.3.  Note,
>>         where appropriate, additional clause 30 definitions may be
>>         added to fix any mistakes or glaring gaps.
>>
>>
>>         To this end, there are a couple of areas between IETF and
>>         802.3 that don't necessarily look like they are entirely in
>>         the right place, in particular:
>>
>>         1) The RMON MIB (RFC 2819) defines (along with other
>>         non-Ethernet related content) some Ethernet specific
>>         statistics that would be better co-located with the Ethernet
>>         interface YANG model being defined in 802.3cp.  Hence, the
>>         proposal is to subsume the appropriate Ethernet statistics
>>         from the RMON MIB into a single combined reference set
>>         defined in 802.3cp.
>>
>>         2) The RMON MIB also defines some Ethernet specific
>>         statistics that can't be defined as part of 802.3cf because
>>         they don't relate to 802.3 clause 30 registers, but are still
>>         widely supported by vendors, and should be modeled in YANG. 
>>         The proposal is that definitions related to these counters
>>         could be added as part of the Ethernet-like module
>>         referenced from RFC 7460), was originally specified in IETF,
>>         but ownership later transferred to 802.3 (via RFC 7448). 
>>         Whilst working on the Power over Ethernet YANG model it has
>>         become clear that not all of the attributes defined in the
>>         MIB map to the underlying 802.3 clause 30 definitions. 
>>         Further, it looks like parts of this YANG model would be
>>         better defined as extensions to the Entity YANG model being
>>         defined in NETMOD.  The proposal is that the parts of the
>>         Power over Ethernet YANG model that can be directly related
>>         to clause 30 definitions (e.g. /pethPsePortTable/) should be
>>         defined in 802.3cf, but that the remaining parts (e.g.,
>>         ///pethMainPseObjects /) can hopefully be standardized in IETF.
>>
>>

---

From: "Zhuangyan (Yan)" <[email-masked]>
Date: Fri, 24 Mar 2017 00:46:46 +0000

Hi all,

Sorry, a little behind this discussion… some conclusions from last week’s IEEE 802.3cf meeting.

Yes, the 802.3cf project is not chartered to modify the Clause 30, but we discussed the possibility of having useful attributes from existing MIB but beyond Clause 30 for management.
The conclusion is yes, the group agreed to have those attributes in modules while P802.3cf (802.3.2) would add an annex to introduce those attributes and provide references to standards outside 802.3 as suggestions to Clause 30.

As a follow-up, the IEEE 802.3 will discuss and decide how to add those attributes from that annex to Clause 30.
If no features, then it can be done by submitting comments to Maintenance Group. If  those are new features, a new project or a existing project that can modify Clause 30 would be needed.
In such way, the YANG project itself would get along well with the project timeline.

Besides, for the 4 proposed attributes:
Row 17: In PFC frames (used in  ETHERLIKE MIB dot3HCInPFCFrames)
 Row 18: Out PFC frames (used in ETHERLIKE MIB dot3HCOutPFCFrames)
 Row 19: Total Octets received (good & bad) (used in RMON MIB etherStatsOctets)
 Row 25: Frames dropped as being too short. (combined value of two RMON MIB counters (etherStatsUndersizePkts + etherStatsFragments))

The Ethernet Interface module has been adopted with these attributes and included in D0.1  : ). But we haven’t put these attributes into the annex as suggested attributes to Clause 30.
You can submit comments to add them. And if more attributes are suggested, please feel free to propose.

Thank you very much~

Best Regards,

Yan

发件人: netmod [mailto:[email-masked]] 代表 Robert Wilton
发送时间: 2017年3月24日 1:45
收件人: Dan Romascanu
抄送: [email-masked]; Russ Housley; [email-masked]
主题: Re: [netmod] 802.3 Ethernet YANG (802.3cp) and IETF overlap

Hi Dan,

Thanks for the advice.  Thankfully, David Law has been attending the 802.3cf task meetings, so he very much aware of the proposal to add new definitions to clause 30, and has offered to help find the best way through the 802.3 process to achieve the right technical goals.

Thanks,
Rob

On 23/03/2017 16:40, Dan Romascanu wrote:
Hi Robert,
Thank you for the answer.
If the current IEEE 802.3 project (cp) is not chartered to make changes in Clause 30 - these cannot be done, and you need a new project for this purpose. Take this into consideration, as this may become a dependency and a gating issue for the project timelines. I suggest that you discuss this with the IEEE 802.3 chair David Law. I am also copying Russ who is now in charge with the IETF - IEEE relationship to make sure that he is aware about the issue.
Regards,
Dan

On Thu, Mar 23, 2017 at 5:36 PM, Robert Wilton <[email-masked]<mailto:[email-masked]>> wrote:

Hi Dan,

On 23/03/2017 07:56, Dan Romascanu wrote:
Hi,
I largely agree with the proposals of the team.
I have only one comment / clarification related to the RMON objects which are proposed to be transferred under IEEE 802.3cp. As far as I remember there are some differences between the definitions in the RMON MIB for some of the objects and the Clause 30 definitions.
Unfortunately, yes there are differences.

What is the approach that you propose to take?
I'm trying to rationalize them all together (at least for the parts of the MIB that we want to carry forward into YANG).

Please see attached for a spreadsheet that shows the relationship between the proposed 802.3 YANG counters, the existing MIBs (IFMIB, RMON, and ETHERNET-LIKE), and 802.3 clause 30.  This doesn't yet cover the counters that I plan on adding to draft-ietf-netmod-intf-ext-yang-04 (Drop due to invalid destination MAC, of RMON style histogram counters).

There will also be some text added to the 802.3cf draft that should explain the relationship, possibly some of it may be lifted directly from 802.3.1.

Include in IEEE 802.3cp only those objects that strictly conform to Clause 30 definitions, or modify / add definitions in Clause 30 in order to accommodate all the RMON statistics? If the later approach is to be taken - is IEEE 802.3cp chartered to make changes or add new definitions in Clause 30 of IEEE 802.3?

A bit of both - mostly the former approach, but with a few missing counters hopefully added to clause 30.

Specifically, I hoping that the following counters can be added to clause 30:
 Row 17: In PFC frames (used in  ETHERLIKE MIB dot3HCInPFCFrames)
 Row 18: Out PFC frames (used in ETHERLIKE MIB dot3HCOutPFCFrames)
 Row 19: Total Octets received (good & bad) (used in RMON MIB etherStatsOctets)
 Row 25: Frames dropped as being too short. (combined value of two RMON MIB counters (etherStatsUndersizePkts + etherStatsFragments))

I think that in principal there is some support for adding these to clause 30, and the appropriate folks in 802.3 will work out the easiest/best mechanism to achieve this.

Thanks,
Rob

Regards,
Dan

On Wed, Mar 22, 2017 at 5:21 PM, Robert Wilton <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

Regards,
Rob Wilton

_______________________________________________
netmod mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netmod

---

From: "Zhuangyan (Yan)" <[email-masked]>
Date: Fri, 24 Mar 2017 01:27:53 +0000

The main point is that 802.3 defines PHY specs for Ethernet devices along with managed objects (which can be considered as management interface) to manage those phys by setting/reading registers.
Even 802.3 now agrees to add extra attributes from MIB but beyond Clause 30, those attributes are still needed to be supported by 802.3 hardware….

For the management of these devices, 802.3 will provide management interfaces according to the capability of their defined PHYs.  Previously, in form of MIBs, now in form of YANG modules.
But for the system level management, we think IETF is a more appropriate place to discuss since 802.3 is not expert in this.

For the Ethernet interface, as discussed, the system related or generic management are suggested to be included in Robert’s intf-ext-yang module.
For the PoE part, the power system management (including the power source and the poe port priority) is a system level management and would like to hear IETF’s thoughts on this as well.

Thank you for your comments.

Best Regards,

Yan

发件人: Robert Wilton [mailto:[email-masked]]
发送时间: 2017年3月23日 22:59
收件人: Fatai Zhang; [email-masked]; [email-masked]
抄送: Zhuangyan (Yan)
主题: Re: 答复: [CCAMP] 802.3 Ethernet YANG (802.3cp) and IETF overlap

Hi Fatai,

Sorry, one correction in my email.  The 802.3 YANG project is only 802.3cf.  Sometimes I have managed to mangle the name together with the 802.1 YANG project (802.1cp) ...

I think you are talking about two types of Yang models, one is Ethernet specific statistics, and the other one is Power over Ethernet.
We are trying to convert various MIBs that contain Ethernet related functionality to YANG.  Generally the MIBS were defined in IETF.  Some of them have been transferred to IEEE for ownership.

In the process of converting the content from MIBs to YANG we are taking the opportunity to refine the contents to better meet current requirements.  E.g. CSMA/CD collision counters are generally not of relevance on any current Ethernet hardware.

I am a little concerned that how people can distinguish and judge which part (e.g., of Ethernet specific statistics or Power over Ethernet) should be defined in IEEE or IEFT?
A lot of the 802.3 Ethernet specification concerns functionality that is baked into the hardware.  The 820.3 specification defines (via Clause 30) an internal management API for configuration and retrieval of operational parameters from the hardware.

So, the 802.3cf plan is that all of the Ethernet related parts of YANG, or MIB, modules that just represent the values defined in clause 30 are expected to published as part of the 802.3 Ethernet YANG modules.

However, 802.3cf do not want their standard YANG models to map to parameters that are not covered by clause 30 (excepting a few more obvious omissions) because that might mean that the YANG module cannot be fully supported by current devices (e.g. if they don't have the actual hardware present to provide the necessary counters).

So, the proposal is that some parts of the Ethernet statistics get standardized in IETF instead (probably via NETMOD).

Concretely, my desire is for the following bits would be standardized in IETF:
  1) Histogram packet statistics (from RMON) (because vendors often support Ethernet frames up to 9k bytes, but the formal 802.3 specification only goes up to 2k).  To be added to draft-ietf-netmod-intf-ext-yang-04
  2) Some counters that more generally apply to Ethernet-like interfaces (e.g. LAG, IRB, or Pseudo-wire head-end interfaces).  This would include the number of packets dropped because they don't match the destination MAC address filter.  To be added to draft-ietf-netmod-intf-ext-yang-04.
  3) The parts of power management that relate to power supplies rather than Ethernet interfaces.  Yan has submitted a draft to NETMOD for this, draft-zhuang-netmod-yang-poe-management-01.  I've not reviewed this draft yet, but it may be that it should augment the entity YANG model (draft-ietf-netmod-entity-03).

For example, regarding Ethernet specific statistics, how people can exactly know which information could be better co-located in 802.3cp and which don’t  relate to 802.3?
I think different people might have different understanding and then it will bring confusion to the industry.
Possibly this will be true, but once these base models are standardized, I'm not sure that they are likely to evolve particularly quickly.  I would think that if the work is being done in 802.3 then any associated YANG would be standardized there, similarly for IETF.

How about allow IETF define Yang models for everything of Ethernet specific statistics since RMON MIB was already defined by IETF and IEEE define Yang models for everything of Power over Ethernet (since ownership already transferred to 802.3)?  I personally think this simple approach could make our life easier, ☺
I think that this approach may hit some of the issues above (particularly the relationship to hardware and clause 30 registers).

Thanks,
Rob

Just some loud thinking…

Thanks

Fatai

发件人: CCAMP [mailto:[email-masked]] 代表 Robert Wilton
发送时间: 2017年3月22日 23:21
收件人: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
主题: [CCAMP] 802.3 Ethernet YANG (802.3cp) and IETF overlap

Hi,

Regards,
Rob Wilton